matrix:
  platform:
  - debian11
  - macos
  bazel:
  - 8.x
  - 9.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@cpp_toolbelt//toolbelt:all'
bcr_test_module:
  module_path: .
  matrix:
    platform:
    - debian11
    - macos
    bazel:
    - 8.x
    - 9.x
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      test_targets:
      - //toolbelt:fd_test
      - //toolbelt:payload_buffer_test
      - //toolbelt:stacktrace_test
      - //toolbelt:table_test
